org.apache.jorphan.util

## Class JMeterStopThreadException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.jorphan.util.JMeterStopThreadException

- All Implemented Interfaces:
    java.io.Serializable

      public class JMeterStopThreadException
      extends java.lang.RuntimeException

  This Exception is for use by functions etc to signal a Stop Thread condition where there is no access to the normal stop method Thread will shutdown after end of current running sampler.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMeterStopThreadException()`
    `JMeterStopThreadException(java.lang.String s)`
    `JMeterStopThreadException(java.lang.String message, java.lang.Throwable cause)`
    `JMeterStopThreadException(java.lang.String s, java.lang.Throwable ex, boolean enableSuppression, boolean writableStackTrace)`
    `JMeterStopThreadException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JMeterStopThreadException

          public JMeterStopThreadException()

    - #### JMeterStopThreadException

          public JMeterStopThreadException(java.lang.String s)

    - #### JMeterStopThreadException

          public JMeterStopThreadException(java.lang.String message,
                                           java.lang.Throwable cause)

    - #### JMeterStopThreadException

          public JMeterStopThreadException(java.lang.Throwable cause)

    - #### JMeterStopThreadException

          public JMeterStopThreadException(java.lang.String s,
                                           java.lang.Throwable ex,
                                           boolean enableSuppression,
                                           boolean writableStackTrace)

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.